/* Centaur MD5
 *
 * Version 3.0
 * 4/7/2024
 *
 * Simplified MD5 functions
 *
 * int hashcompare(string, string)	-- case-insensitive string compare
 * char * md5string(string, case)	-- get MD5 hash of string
 * char * md5file(file, case)		-- get MD5 hash of file
 *
 * 'case' must be provided; 0 = lowercase, 1 = uppercase
 * 'file' must be a path to a file and not a file descriptor/stream
 *
 * md5.h
 */

#ifndef _CENTAUR_MD5_H
#define _CENTAUR_MD5_H 1

#define _DIR	1
#define _FILE	0
#define _NONE	-1

#define MD5_STRING_LENGTH 33

unsigned char result[MD5_STRING_LENGTH];
char md5f_retv[MD5_STRING_LENGTH];
char r[MD5_STRING_LENGTH];

int hashcompare(char hash1[MD5_STRING_LENGTH], char hash2[MD5_STRING_LENGTH]);

int ftype(char file[]);

int valid_md5_file(char fname[]);

char * md5string(char string[], int uppercase);

unsigned long fdsize(int fd);

char * md5file(char fname[], int uppercase);

#endif /* _CENTAUR_MD5_H */
